<?php

namespace Drupal\mappi_lane\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FormatterBase;
use Drupal\Core\Field\FieldItemListInterface;

/**
 * Plugin implementation of the 'mappi_default' formatter.
 *
 * @FieldFormatter(
 *   id = "mappi_default_formatter",
 *   label = @Translation("Mappi default formatter"),
 *   field_types = {
 *     "mappi"
 *   }
 * )
 */
class MappiDefaultFormatter extends FormatterBase {

  public function viewElements(FieldItemListInterface $items, $langcode) {
    $element = [];
    foreach ($items as $delta => $item) {
      $element[$delta] = [
        '#theme' => 'mappi_default',
        '#map_url' => $item->value,
      ];
    }

    return $element;
  }

}
